//
//  GMToFaceOrderInfoModel.m
//  Gengmei
//
//  Created by zhouLiang on 2020/4/11.
//  Copyright © 2020 更美互动信息科技有限公司. All rights reserved.
//

#import "GMToFaceOrderInfoModel.h"

@implementation GMToFaceOrderInfoModel
- (NSString *)paymentAmountStr {
    NSString *str;
    NSInteger iPrice = self.payAmount/100;
    NSInteger fPrice = self.payAmount%100;
    if (fPrice == 0) {
        str = [NSString stringWithFormat:@"%ld.00",iPrice];
    }else if (fPrice<10) {
        str = [NSString stringWithFormat:@"%ld.0%ld",iPrice,fPrice];
    }else {
        str = [NSString stringWithFormat:@"%ld.%ld",iPrice,fPrice];
    }
    return str;
}
- (NSString *)needPayStr {
    NSString *str;
    NSInteger iPrice = self.needPay/100;
    NSInteger fPrice = self.needPay%100;
    if (fPrice == 0) {
        str = [NSString stringWithFormat:@"%ld.00",iPrice];
    }else if (fPrice<10) {
        str = [NSString stringWithFormat:@"%ld.0%ld",iPrice,fPrice];
    }else {
        str = [NSString stringWithFormat:@"%ld.%ld",iPrice,fPrice];
    }
    return str;
}
@end
